## ros-indigo-multi-level-map-server 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(multi_level_map_server)

find_package(catkin REQUIRED)

catkin_package(
    CATKIN_DEPENDS
    nav_msgs
    multi_level_map_msgs
    multi_level_map_utils
    rospy
    tf
)

# install launch files, maps and the python script 
install(
  DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(
  DIRECTORY maps DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(
  PROGRAMS nodes/multi_level_map_server
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-multi-level-map-server (0.3.12-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-multi-level-map-server (0.3.11-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-multi-level-map-server (0.3.10-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-multi-level-map-server (0.3.9-0trusty) trusty; urgency=high

  * multi_level_map: move packages to bwi_common (#56 <https://github.com/utexas-bwi/bwi_common/issues/56>)
  * Contributors: Jack O'Quin
  * multi_level_map: move packages to bwi_common (#56 <https://github.com/utexas-bwi/bwi_common/issues/56>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-multi-level-map-server
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/multi_level_map_server
Standards-Version: 3.9.2

Package: ros-indigo-multi-level-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging, python-rospkg, python-yaml, ros-indigo-multi-level-map-msgs, ros-indigo-multi-level-map-utils, ros-indigo-nav-msgs, ros-indigo-rospy, ros-indigo-tf
Description: Launches a map server for various floors inside a building.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-multi-level-map-server//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
